package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description:
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_oe_exam_answer", description = "作答结果")
public class TOeExamAnswer implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "作答记录ID")
    @TableField(value = "exam_record_id")
    private Long examRecordId;

    @ApiModelProperty(value = "大题号")
    @TableField(value = "main_number")
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号")
    @TableField(value = "sub_number")
    private Integer subNumber;

    @ApiModelProperty(value = "子题序号")
    @TableField(value = "sub_index")
    private Integer subIndex;

    @ApiModelProperty(value = "作答内容")
    @TableField(value = "answer")
    private String answer;

    @ApiModelProperty(value = "版本时间戳")
    @TableField(value = "version")
    private Long version;

    @ApiModelProperty(value = "作答轨迹")
    @TableField(value = "history")
    private String history;

    @ApiModelProperty(value = "作答时长")
    @TableField(value = "duration_seconds")
    private Integer duration_seconds;

    @ApiModelProperty(value = "分数")
    @TableField(value = "score")
    private Double score;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Integer getSubIndex() {
        return subIndex;
    }

    public void setSubIndex(Integer subIndex) {
        this.subIndex = subIndex;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    public String getHistory() {
        return history;
    }

    public void setHistory(String history) {
        this.history = history;
    }

    public Integer getDuration_seconds() {
        return duration_seconds;
    }

    public void setDuration_seconds(Integer duration_seconds) {
        this.duration_seconds = duration_seconds;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
}
